Subject: bug#28601: 26.0.50; configure: error: Emacs does not support 'x86_64-pc-msys' systems.

From: Vincent Belaïche <[email-masked]>
Date: Wed, 27 Sep 2017 21:07:52 +0200

Hello Glenn,

There is no such thing as a mingw64_shell.bat script, but there is a
msys2_shell.cmd script, which one can launch with the -mingw64 for
MSYSTEM to be set accordingly to MSYSTEM=MINGW64.

When I do that, then I get the following error :

--8<----8<----8<----8<----8<-- begin -->8---->8---->8---->8---->8----
checking build system type... x86_64-w64-mingw32
checking host system type... x86_64-w64-mingw32
checking the compiler's target... x86_64-pc-msys
configure: error: Emacs does not support 'x86_64-pc-msys' systems.
--8<----8<----8<----8<----8<--  end -->8---->8---->8---->8---->8----

BR,
  V.

Le 27/09/2017 à 20:36, Glenn Morris a écrit :
> Vincent Belaïche wrote:
>
>> I am trying to re-compile Emacs on MSW10 + MSYS2. This used to be
>> working, but now I get the following error:
>>
>> --8<----8<----8<----8<----8<-- begin -->8---->8---->8---->8---->8----
>> checking build system type... x86_64-pc-msys
>> checking host system type... x86_64-pc-msys
>> configure: error: Emacs does not support 'x86_64-pc-msys' systems.
> What version of Emacs did this work in?
> AFAICS, configure.ac has never accepted *-msys as a host type.
>
>  From https://debbugs.gnu.org/cgi/bugreport.cgi?bug=22240#20 :
>      
>      configure: error: Emacs does not support 'x86_64-pc-msys' systems.
>      
>      This turned out to be due to not being in the right environment - I
>      added the step to switch to the MinGW-w64 environment and now it works
>      without specifying the --host, etc.
>
>  From nt/INSTALL.W64:
>
>     First we need to switch to the MinGW-w64 environment. Exit the MSYS2
>     BASH console and run mingw64_shell.bat in the C:\msys64 folder...
>
> So try that?

---
L'absence de virus dans ce courrier électronique a été vérifiée par le logiciel antivirus Avast.
https://www.avast.com/antivirus